BuildingProject Enums
curl --request GET \
--url https://api.realtimelca.com/rest/api/BuildingProject/buildingprojectenums \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.realtimelca.com/rest/api/BuildingProject/buildingprojectenums"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.realtimelca.com/rest/api/BuildingProject/buildingprojectenums', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"buildingTypeEnum": [
"Office",
"School/Institution",
"Residential - Single-family house",
"Residential - Multi-storey building",
"Residential - Terraced house",
"Retail",
"Logistics",
"Production",
"Hotel"
],
"regerencedAreaTypeEnum": {
"Exterior ramps": 0.25,
"Exterior stairs": 0.25,
"Exterior fire escapes": 0.25,
"Exterior balconies": 0.25,
"Exterior balcony access": 0.25,
"Integrated garages single family houses": 0.5,
"Integrated garages town houses": 0.5,
"Integrated car ports": 0.25,
"Integrated out buildings": 0.25,
"Integrated coverings": 0.25,
"Integrated sheds": 0.25,
"Walk on ceilings": 0.25
},
"operationElectricitySupplyEnum": [
"Electricity - projection 2020-2040"
],
"operationHeatSupplyEnum": [
"District heating - projection 2020-2040",
"Electricity - projection 2020-2040",
"Natural gas - projection 2020-2040"
],
"constructionElectricitySupplyEnum": [
"Electricity - projection 2020-2040"
],
"constructionHeatSupplyEnum": [
"District heating - projection 2020-2040",
"Electricity - projection 2020-2040",
"Natural gas - projection 2020-2040"
],
"materialMappingMethodEnum": [
"Mest benyttet",
"Senest benyttet",
"Lavest GWP"
],
"defaultBranches": [
"Arkitektur",
"By og landskab",
"Elektroteknik og IT",
"Mekaniske installationer",
"Konstruktioner",
"Procesanlæg og forsyning"
],
"materialSourceEnum": [
"Speckle",
"Custom",
"Combined",
"Epd",
"Excel upload"
],
"buildingProjectStageEnums": [
"Competition",
"Design",
"Detailed Design",
"Construction",
"Operation",
"Archived",
"On Hold"
]
}Enums
BuildingProject Enums
GET
/
BuildingProject
/
buildingprojectenums
BuildingProject Enums
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
BuildingProject Enums
Show child attributes
Show child attributes
⌘I

